import { IFieldElementProps as ICoreFieldElementProps, IFormFieldProps as ICoreFormFieldProps, IFormFieldPropsEnhanced as ICoreFormFieldPropsEnhanced, IFormFieldValue, IRenderFormField } from "@reactionable/core/lib/form/FormField";
import { ReactElement, ReactNode } from "react";
export declare type IFieldElementProps = ICoreFieldElementProps;
export declare type IFormFieldProps<FieldElement extends IFieldElementProps, Value extends IFormFieldValue> = Omit<ICoreFormFieldProps<FieldElement, Value>, "children"> & {
    children?: IRenderFormField<IFieldElementProps, Value> | ReactNode;
};
export declare type IFormFieldPropsEnhanced<FieldElement extends IFieldElementProps, Value extends IFormFieldValue> = ICoreFormFieldPropsEnhanced<FieldElement, Value>;
export declare function RenderFormField<FieldElementProps extends IFieldElementProps = IFieldElementProps, Value extends IFormFieldValue = IFormFieldValue>({ error, isValid, isInvalid, field, }: IFormFieldPropsEnhanced<FieldElementProps, Value>): ReactElement;
export declare function FormField<FieldElementProps extends IFieldElementProps = IFieldElementProps, Value extends IFormFieldValue = IFormFieldValue>(props: IFormFieldProps<FieldElementProps, Value>): ReactElement;
