"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Header = void 0;
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importDefault(require("react"));
const Nav_1 = tslib_1.__importDefault(require("react-bootstrap/Nav"));
const Navbar_1 = tslib_1.__importDefault(require("react-bootstrap/Navbar"));
const Link_1 = require("../../link/Link");
const NavItem_1 = require("../../nav/NavItem");
const UI_1 = require("../../UI");
const UserHeaderNav_1 = require("./UserHeaderNav");
const Header = (_a) => {
    var { brand, navItems = [], UserHeaderNavComponent } = _a, navbarProps = tslib_1.__rest(_a, ["brand", "navItems", "UserHeaderNavComponent"]);
    let brandContent = null;
    const { useLink } = UI_1.useUIContext();
    if (brand) {
        if (Link_1.isLinkProps(brand)) {
            const { href } = brand, navbarBrandProps = tslib_1.__rest(brand, ["href"]);
            brandContent = useLink({ href, children: react_1.default.createElement(Navbar_1.default.Brand, Object.assign({}, navbarBrandProps)) });
        }
        else {
            brandContent = useLink({ href: "/", children: react_1.default.createElement(Navbar_1.default.Brand, null, brand) });
        }
    }
    if (!UserHeaderNavComponent) {
        UserHeaderNavComponent = UserHeaderNav_1.UserHeaderNav;
    }
    return (react_1.default.createElement(Navbar_1.default, Object.assign({ expand: "lg" }, navbarProps),
        brandContent,
        react_1.default.createElement(Navbar_1.default.Toggle, { "aria-controls": "main-navbar-nav" }),
        react_1.default.createElement(Navbar_1.default.Collapse, { id: "main-navbar-nav" },
            react_1.default.createElement(Nav_1.default, { className: "mr-auto" },
                react_1.default.createElement(NavItem_1.NavItems, { navItems: navItems })),
            react_1.default.createElement(UserHeaderNavComponent, null))));
};
exports.Header = Header;
//# sourceMappingURL=Header.js.map