"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UserHeaderNav = exports.UserUnloggedHeaderNav = void 0;
const tslib_1 = require("tslib");
const core_1 = require("@reactionable/core");
const Identity_1 = require("@reactionable/core/lib/identity/Identity");
const react_1 = tslib_1.__importDefault(require("react"));
const Nav_1 = tslib_1.__importDefault(require("react-bootstrap/Nav"));
const NavDropdown_1 = tslib_1.__importDefault(require("react-bootstrap/NavDropdown"));
var UserHeaderNav_1 = require("@reactionable/core/lib/ui/layout/header/UserHeaderNav");
Object.defineProperty(exports, "UserUnloggedHeaderNav", { enumerable: true, get: function () { return UserHeaderNav_1.UserUnloggedHeaderNav; } });
const UserLoggedHeaderNav = () => {
    const { user, displayName } = Identity_1.useIdentityContext();
    if (!user) {
        return null;
    }
    return (react_1.default.createElement(NavDropdown_1.default, { key: "userNav", id: "userNav", title: displayName() },
        react_1.default.createElement(core_1.AccountLink, { NavItemComponent: NavDropdown_1.default.Item }),
        react_1.default.createElement(NavDropdown_1.default.Divider, null),
        react_1.default.createElement(core_1.LogoutLink, { NavItemComponent: NavDropdown_1.default.Item })));
};
const UserHeaderNav = () => {
    const { identityProvider } = Identity_1.useIdentityContext();
    if (!identityProvider) {
        return null;
    }
    return (react_1.default.createElement("div", null,
        react_1.default.createElement(UserLoggedHeaderNav, null),
        react_1.default.createElement(core_1.UserUnloggedHeaderNav, { NavItemComponent: Nav_1.default.Link })));
};
exports.UserHeaderNav = UserHeaderNav;
//# sourceMappingURL=UserHeaderNav.js.map