"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Sidebar = exports.SidebarComponent = exports.useSidebarContext = void 0;
const tslib_1 = require("tslib");
const I18n_1 = require("@reactionable/core/lib/i18n/I18n");
const Sidebar_1 = require("@reactionable/core/lib/ui/layout/sidebar/Sidebar");
const react_1 = tslib_1.__importStar(require("react"));
const react_bootstrap_1 = require("react-bootstrap");
const Button_1 = tslib_1.__importDefault(require("react-bootstrap/Button"));
const Col_1 = tslib_1.__importDefault(require("react-bootstrap/Col"));
const Collapse_1 = tslib_1.__importDefault(require("react-bootstrap/Collapse"));
const Container_1 = tslib_1.__importDefault(require("react-bootstrap/Container"));
const Row_1 = tslib_1.__importDefault(require("react-bootstrap/Row"));
const NavItem_1 = require("../../nav/NavItem");
function useSidebarContext() {
    return Sidebar_1.useSidebarContext();
}
exports.useSidebarContext = useSidebarContext;
const SidebarItems = ({ children }) => {
    const { t } = I18n_1.useTranslation();
    const [open, setOpen] = react_1.useState(true);
    const { navItems } = useSidebarContext();
    return (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement(Collapse_1.default, { in: open },
            react_1.default.createElement(Col_1.default, { xs: "auto", className: "sidebar-left-side", style: {
                    borderRight: "solid 1px",
                    height: "93vh",
                    paddingTop: "1vh",
                    paddingLeft: 0,
                    paddingRight: 0,
                } },
                !open && (react_1.default.createElement(Button_1.default, { onClick: () => setOpen(!open), "aria-controls": t("Collapse sidebar"), "aria-expanded": open }, t("Collapse sidebar"))),
                react_1.default.createElement(react_bootstrap_1.Nav, { className: "flex-column" },
                    react_1.default.createElement(NavItem_1.NavItems, { navItems: navItems })))),
        react_1.default.createElement(Col_1.default, { className: "sidebar-right-side", style: { height: "89vh", overflow: "auto" } }, children)));
};
function SidebarComponent({ children }) {
    return (react_1.default.createElement(Container_1.default, { fluid: true, className: "sidebar-container", style: {
            paddingLeft: 0,
            paddingRight: 0,
        } },
        react_1.default.createElement(Row_1.default, null,
            react_1.default.createElement(SidebarItems, null, children))));
}
exports.SidebarComponent = SidebarComponent;
function Sidebar(props) {
    return react_1.default.createElement(Sidebar_1.Sidebar, Object.assign({ Component: SidebarComponent }, props));
}
exports.Sidebar = Sidebar;
//# sourceMappingURL=Sidebar.js.map