"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useLoader = exports.Loader = void 0;
const tslib_1 = require("tslib");
const I18n_1 = require("@reactionable/core/lib/i18n/I18n");
const useLoader_1 = require("@reactionable/core/lib/ui/loader/useLoader");
const react_1 = tslib_1.__importDefault(require("react"));
const Spinner_1 = tslib_1.__importDefault(require("react-bootstrap/Spinner"));
const Loader = ({ overlay = true }) => {
    const { t } = I18n_1.useTranslation();
    const spinnerElement = (react_1.default.createElement(Spinner_1.default, { animation: "grow", role: "status", variant: "primary" },
        react_1.default.createElement("span", { className: "sr-only" }, t("Loading"))));
    if (!overlay) {
        return spinnerElement;
    }
    return (react_1.default.createElement("div", { className: "spinner--overlay", style: {
            width: "100%",
            height: "100%",
            position: "fixed",
            top: "50%",
            left: "50%",
        } }, spinnerElement));
};
exports.Loader = Loader;
const useLoader = (props = {}) => {
    return useLoader_1.useLoader(Object.assign(Object.assign({}, props), { Component: exports.Loader }));
};
exports.useLoader = useLoader;
//# sourceMappingURL=Loader.js.map